aboutsummaryrefslogtreecommitdiffstats
path: root/target
diff options
context:
space:
mode:
Diffstat (limited to 'target')
-rwxr-xr-xtarget/default/target_skeleton/bin/firstboot5
-rwxr-xr-xtarget/default/target_skeleton/etc/init.d/rcS6
-rwxr-xr-xtarget/default/target_skeleton/sbin/ifup4
-rwxr-xr-xtarget/default/target_skeleton/sbin/mount_root2
4 files changed, 11 insertions, 6 deletions
diff --git a/target/default/target_skeleton/bin/firstboot b/target/default/target_skeleton/bin/firstboot
index 2e7481db81..cef258cf39 100755
--- a/target/default/target_skeleton/bin/firstboot
+++ b/target/default/target_skeleton/bin/firstboot
@@ -1,6 +1,11 @@
#!/bin/sh
# $Id$
+mount | grep squashfs >&- || {
+ echo "You do not have a squashfs partition; aborting"
+ echo "(firstboot cannot be run on jffs2 based firmwares)"
+ return
+}
[ -f "/tmp/.firstboot" ] && {
echo "firstboot is already running"
diff --git a/target/default/target_skeleton/etc/init.d/rcS b/target/default/target_skeleton/etc/init.d/rcS
index d52152c31a..eeed18b770 100755
--- a/target/default/target_skeleton/etc/init.d/rcS
+++ b/target/default/target_skeleton/etc/init.d/rcS
@@ -1,6 +1,6 @@
#!/bin/sh
syslogd -C 16
klogd
-for i in /etc/init.d/S* ;do
- $i start 2>&1 | logger -s -p 6 -t ''
-done
+for i in /etc/init.d/S*; do
+ $i start 2>&1
+done | logger -s -p 6 -t ''
diff --git a/target/default/target_skeleton/sbin/ifup b/target/default/target_skeleton/sbin/ifup
index f3230ba410..9759f8d4d5 100755
--- a/target/default/target_skeleton/sbin/ifup
+++ b/target/default/target_skeleton/sbin/ifup
@@ -10,10 +10,10 @@
if_valid $if || return
- $DEBUG ifconfig $if down
+ $DEBUG ifconfig $if down 2>&-
if [ "${if%%[0-9]}" = "br" ]; then
stp=$(nvram get ${type}_stp)
- $DEBUG brctl delbr $if
+ $DEBUG brctl delbr $if 2>&-
$DEBUG brctl addbr $if
$DEBUG brctl setfd $if 0
$DEBUG brctl stp $if ${stp:-0}
diff --git a/target/default/target_skeleton/sbin/mount_root b/target/default/target_skeleton/sbin/mount_root
index 7a8184745d..eef55b4bdb 100755
--- a/target/default/target_skeleton/sbin/mount_root
+++ b/target/default/target_skeleton/sbin/mount_root
@@ -17,7 +17,7 @@ if [ "$1" != "failsafe" ]; then
pivot_root /jffs /jffs/rom
mount none /proc -t proc
mount none /dev -t devfs
- umount rom/proc rom/dev
+ umount /rom/proc rom/dev >&-
fi
fi
mount none /tmp -t tmpfs size=50%